Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice.server
Class ServiceEndpointInterceptor

    java.lang.Object
      org.jboss.ejb.plugins.AbstractInterceptor
          org.jboss.webservice.server.ServiceEndpointInterceptor

All Implemented Interfaces:
  org.jboss.ejb.AllowedOperationsFlags, org.jboss.ejb.ContainerPlugin, org.jboss.ejb.Interceptor, org.jboss.system.Service

public class ServiceEndpointInterceptor
extends org.jboss.ejb.plugins.AbstractInterceptor

This Interceptor does the ws4ee handler processing.

According to the ws4ee spec the handler logic must be invoked after the container applient method level security to the invocation. I don't think we can use Axis handlers for ws4ee handler processing.

Version:
  $Revision: 1.4 $
Author:
  Thomas.Diesler@jboss.org

Field Summary

Fields inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`container, log, nextInterceptor`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`ServiceEndpointInterceptor()`

Method Summary
`Object` | `invoke(org.jboss.invocation.Invocation mi)` Before and after we call the service endpoint bean, we process the handler chains.

Methods inherited from class org.jboss.ejb.plugins.AbstractInterceptor
`create, destroy, getContainer, getNext, invokeHome, setContainer, setNext, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceEndpointInterceptor

    public ServiceEndpointInterceptor()

Method Detail

### invoke

    public Object invoke(org.jboss.invocation.Invocation mi)
                  throws Exception

  Before and after we call the service endpoint bean, we process the handler chains.

  The handler chain implemantation may replace the RPCInvocation object in the message context if it finds the the handlers have modyfied the SOAPEnvelope.

  When you change the implementation here, make sure you do the same in the InvokerProviderJSE

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.